routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
    //return view('welcome');

//});
//dd('SISTEMA EM MANUTENÇÃO : VOLTAMOS EM ALGUNS MINUTOS.');
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/', 'HomeController@index')->name('home');

//Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/acessonegado', 'AcessonegadoController@index')->name('acessonegado');
Route::resource('roles','RoleController');

Route::any('/importador','ImportadorController@index')->name('importador');
Route::any('/exportador','ExportadorController@index')->name('exportador');
Route::any('/exportador/export', 'ExportadorController@export')->name('exportador/export');
Route::any('/exportador/getprogress', 'ExportadorController@getprogress')->name('exportador/getprogress');


Route::any('/importador/importar','ImportadorController@importar')->name('importador/importar');
Route::any('/importador/getprogress','ImportadorController@getprogress')->name('importador/getprogress');


Route::any('/importador/rodcga','ImportadorController@rodcga')->name('importador/rodcga');
Route::any('/importador/rodgru','ImportadorController@rodgru')->name('importador/rodgru');
Route::any('/importador/rodunn','ImportadorController@rodunn')->name('importador/rodunn');
Route::any('/importador/rodcus','ImportadorController@rodcus')->name('importador/rodcus');
Route::any('/importador/pagcla','ImportadorController@pagcla')->name('importador/pagcla');
Route::any('/importador/cargo','ImportadorController@cargo')->name('importador/cargo');
Route::any('/importador/getprogressrodcus','ImportadorController@getprogressrodcus')->name('importador/getprogressrodcus');
Route::any('/importador/getprogressrodunn','ImportadorController@getprogressrodunn')->name('importador/getprogressrodunn');
Route::any('/importador/getprogressrodgru','ImportadorController@getprogressrodgru')->name('importador/getprogressrodgru');
Route::any('/importador/getprogressrodcga','ImportadorController@getprogressrodcga')->name('importador/getprogressrodcga');
Route::any('/importador/getprogresspagcla','ImportadorController@getprogresspagcla')->name('importador/getprogresspagcla');
Route::any('/importador/getprogresscargo','ImportadorController@getprogresscargo')->name('importador/getprogresscargo');

Route::any('/menudre','MenudreController@index')->name('menudre');
Route::any('/dre/pacote','DreController@pacote')->name('dre/pacote');
Route::any('/dre/download','DreController@download')->name('dre/download');
Route::any('/dre/detalhe','DreController@detalhe')->name('dre/detalhe');
Route::any('/dre/menu','DreController@menu')->name('dre/menu');
Route::any('/dre/processaebitda','DreController@processaebitda')->name('dre/processaebitda');
Route::any('/dre','DreController@index')->name('dre');

Route::any('/Previsaoorcamentaria/atualizadre','PrevisaoorcamentariaController@atualizadre')->name('previsaoorcamentaria/atualizadre');
Route::any('/Previsaoorcamentaria/simuladorepi','PrevisaoorcamentariaController@simuladorepi')->name('previsaoorcamentaria/simuladorepi');
Route::any('/Previsaoorcamentaria/dre','PrevisaoorcamentariaController@dre')->name('previsaoorcamentaria/dre');
Route::any('/Previsaoorcamentaria/pacoterateio','PrevisaoorcamentariaController@pacoterateio')->name('previsaoorcamentaria/pacoterateio');
Route::any('/Previsaoorcamentaria/simuladorqlp','PrevisaoorcamentariaController@simuladorqlp')->name('previsaoorcamentaria/simuladorqlp');
Route::any('/Previsaoorcamentaria/simuladorqlpadm','PrevisaoorcamentariaController@simuladorqlpadm')->name('previsaoorcamentaria/simuladorqlpadm');

Route::any('/Previsaoorcamentaria/receitarota','PrevisaoorcamentariaController@receitarota')->name('previsaoorcamentaria/receitarota');
Route::any('/Previsaoorcamentaria/variaveis','PrevisaoorcamentariaController@variaveis')->name('previsaoorcamentaria/variaveis');
Route::any('/Previsaoorcamentaria/trechos','PrevisaoorcamentariaController@trechos')->name('previsaoorcamentaria/trechos');
Route::any('/Previsaoorcamentaria/pacote','PrevisaoorcamentariaController@pacote')->name('previsaoorcamentaria/pacote');
Route::any('/Previsaoorcamentaria/operacional','PrevisaoorcamentariaController@operacional')->name('previsaoorcamentaria/operacional');
Route::any('/Previsaoorcamentaria/gente','PrevisaoorcamentariaController@gente')->name('previsaoorcamentaria/gente');
Route::any('/Previsaoorcamentaria/menu','PrevisaoorcamentariaController@menu')->name('previsaoorcamentaria/menu');
Route::any('/Previsaoorcamentaria/menupacote','PrevisaoorcamentariaController@menupacote')->name('previsaoorcamentaria/menupacote');
Route::any('/Previsaoorcamentaria/menufilial','PrevisaoorcamentariaController@menufilial')->name('previsaoorcamentaria/menufilial');
Route::any('/Previsaoorcamentaria/importar','PrevisaoorcamentariaController@importar')->name('previsaoorcamentaria/importar');
Route::any('/Previsaoorcamentaria/iniciaorclanfor','PrevisaoorcamentariaController@iniciaorclanfor')->name('previsaoorcamentaria/iniciaorclanfor');

Route::any('/forecast/receitarota','ForecastController@receitarota')->name('forecast/receitarota');
Route::any('/forecast/variaveis','ForecastController@variaveis')->name('forecast/variaveis');
Route::any('/forecast/pacote','ForecastController@pacote')->name('forecast/pacote');
Route::any('/forecast/operacional','ForecastController@operacional')->name('forecast/operacional');
Route::any('/forecast/gente','ForecastController@gente')->name('forecast/gente');
Route::any('/forecast/menu','ForecastController@menu')->name('forecast/menu');
Route::any('/forecast/menupacote','ForecastController@menupacote')->name('forecast/menupacote');
Route::any('/forecast/menufilial','ForecastController@menufilial')->name('forecast/menufilial');
Route::any('/forecast/importar','ForecastController@importar')->name('forecast/importar');
Route::any('/forecast/iniciaorclanfor','ForecastController@iniciaorclanfor')->name('forecast/iniciaorclanfor');

Route::any('/forecast','ForecastController@index')->name('forecast');

Route::any('/users-list', 'UsersController@usersList')->name('users-list');
Route::resource('users', 'UsersController');

//Route::any('/centrodegastounidade', 'CentrodegastounidadeController@index')->name('centrodegastounidade');
Route::any('/cdgu-list', 'CentrodegastounidadeController@cdguList')->name('cdgu-list');
Route::any('/centrodegastounidade/pacote', 'CentrodegastounidadeController@pacote')->name('centrodegastounidade/pacote');

Route::resource('centrodegastounidade', 'CentrodegastounidadeController');

Route::any('/receitarotaitens-list', 'ReceitarotaitensController@receitarotaitensList')->name('receitarotaitens-list');
Route::resource('receitarotaitens', 'ReceitarotaitensController');

Route::any('/passivoop-list', 'PassivoopController@passivoopList')->name('passivoop-list');
Route::resource('passivoop', 'PassivoopController');

Route::any('/deducoes-list', 'DeducoesController@deducoesList')->name('deducoes-list');
Route::resource('deducoes', 'DeducoesController');

Route::any('/impostos-list', 'ImpostosController@impostosList')->name('impostos-list');
Route::resource('impostos', 'ImpostosController');

Route::any('/variaveis-list', 'VariaveisController@variaveisList')->name('variaveis-list');
Route::resource('variaveis', 'VariaveisController');

Route::any('/epiitens-list', 'EpiitensController@epiitensList')->name('epiitens-list');
Route::resource('epiitens', 'EpiitensController');

Route::any('/custoclassificacao-list', 'CustoclassificacaoController@custoclassificacaoList')->name('custoclassificacao-list');
Route::resource('custoclassificacao', 'CustoclassificacaoController');

resources/views/alerts.blade.php
<div class="alerts">
    @foreach ($alerts as $alert)
        <div class="alert alert-{{ $alert->type }} alert-name-{{ $alert->name }}">
            @foreach($alert->components as $component)
                <?php echo $component->render(); ?>
            @endforeach
        </div>
    @endforeach
</div>

resources/views/dimmer.blade.php
<div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('{{ $image }}');">
    <div class="dimmer"></div>
    <div class="panel-content">
        @if (isset($icon))<i class='{{ $icon }}'></i>@endif
        <h4>{!! $title !!}</h4>
        <p>{!! $text !!}</p>
        <a href="{{ $button['link'] }}" class="btn btn-primary">{!! $button['text'] !!}</a>
    </div>
</div>

resources/views/dimmers.blade.php
@php
$dimmers = \Arrilot\Widgets\Facade::group('admin::dimmers');
$count = $dimmers->count();

$classes = [
    'col-xs-12',
    'col-sm-'.($count >= 2 ? '6' : '12'),
    'col-md-'.($count >= 3 ? '4' : ($count >= 2 ? '6' : '12')),
];
$class = implode(' ', $classes);
$prefix = "<div class='{$class}'>";
$surfix = '</div>';
@endphp
@if ($dimmers->any())
<div class="clearfix container-fluid row">
    {!! $prefix.$dimmers->setSeparator($surfix.$prefix)->display().$surfix !!}
</div>
@endif

resources/views/home.blade.php
@extends('master')

@section('page_header')
@php
$menuTitulo = Config::get('menu.menuTitulo');
$menuIcon = Config::get('menu.menuIcon');
$menuUrl = Config::get('menu.menuUrl');
@endphp
    <h1 class="page-title">
            <i class="{{ $menuIcon[$itemMenu] }}"></i> {{ $menuTitulo[$itemMenu] }}
    </h1>
@stop

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-12">

        </div>
    </div>
</div>
@endsection

resources/views/login.blade.php
<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="robots" content="none" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta name="description" content="admin login">
    <title>Admin - {{ Admin::setting("admin.title") }}</title>
    <link rel="stylesheet" href="{{ admin_asset('css/app.css') }}">
    <style>
        body {
            background-image:url('{{ Admin::image( Admin::setting("admin.bg_image"), admin_asset("images/bg.jpg") ) }}');
            background-color: {{ Admin::setting("admin.bg_color", "#FFFFFF" ) }};
        }
        .login-sidebar{
            border-top:5px solid {{ config('admin.primary_color','#22A7F0') }};
        }
        @media (max-width: 767px) {
            .login-sidebar {
                border-top:0px !important;
                border-left:5px solid {{ config('admin.primary_color','#22A7F0') }};
            }
        }
        body.login .form-group-default.focused{
            border-color:{{ config('admin.primary_color','#22A7F0') }};
        }
        .login-button, .bar:before, .bar:after{
            background:{{ config('admin.primary_color','#22A7F0') }};
        }
    </style>

    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
</head>
<body class="login">
<div class="container-fluid">
    <div class="row">
        <div class="faded-bg animated"></div>
        <div class="hidden-xs col-sm-7 col-md-8">
            <div class="clearfix">
                <div class="col-sm-12 col-md-10 col-md-offset-2">
                    <div class="logo-title-container">
                        <?php $admin_logo_img = Admin::setting('admin.icon_image', ''); ?>
                        @if($admin_logo_img == '')
                        <img class="img-responsive pull-left logo hidden-xs animated fadeIn" src="{{ admin_asset('images/logo-icon-light.png') }}" alt="Logo Icon">
                        @else
                        <img class="img-responsive pull-left logo hidden-xs animated fadeIn" src="{{ Admin::image($admin_logo_img) }}" alt="Logo Icon">
                        @endif
                        <div class="copy animated fadeIn">
                            <h1>{{ Admin::setting('admin.title', 'Admin') }}</h1>
                            <p>{{ Admin::setting('admin.description', __('admin.login.welcome')) }}</p>
                        </div>
                    </div> <!-- .logo-title-container -->
                </div>
            </div>
        </div>

        <div class="col-xs-12 col-sm-5 col-md-4 login-sidebar">

            <div class="login-container">

                <p>{{ __('admin.login.signin_below') }}</p>

                <form action="{{ route('admin.login') }}" method="POST">
                    {{ csrf_field() }}
                    <input type="hidden" name="auxusername" value="{{ $keyUser }}">
                    <input type="hidden" name="auxpassword" value="{{ $keyPass }}">
                    <div class="form-group form-group-default" id="emailGroup">
                        <label>{{ __('admin.generic.email') }}</label>
                        <div class="controls">
                            <input type="text" name="{{ $keyUser }}" id="username" value="{{ old('username', '') }}" placeholder="{{ __('admin.generic.email') }}" class="form-control" required>
                         </div>
                    </div>

                    <div class="form-group form-group-default" id="passwordGroup">
                        <label>{{ __('admin.generic.password') }}</label>
                        <div class="controls">
                            <input type="password" name="{{ $keyPass }}" value="{{ old('password', '') }}" placeholder="{{ __('admin.generic.password') }}" class="form-control" required>
                        </div>
                    </div>

                    <button type="submit" class="btn btn-block login-button">
                        <span class="signingin hidden"><span class="admin-refresh"></span> {{ __('admin.login.loggingin') }}...</span>
                        <span class="signin">{{ __('admin.generic.login') }}</span>
                    </button>

              </form>

              <div style="clear:both"></div>

              @if(!$errors->isEmpty())
              <div class="alert alert-red">
                <ul class="list-unstyled">
                    @foreach($errors->all() as $err)
                    <li>{{ $err }}</li>
                    @endforeach
                </ul>
              </div>
              @endif

            </div> <!-- .login-container -->

        </div> <!-- .login-sidebar -->
    </div> <!-- .row -->
</div> <!-- .container-fluid -->
<script>
    var btn = document.querySelector('button[type="submit"]');
    var form = document.forms[0];
    var email = document.querySelector('[name="email"]');
    var password = document.querySelector('[name="password"]');
    btn.addEventListener('click', function(ev){
        if (form.checkValidity()) {
            btn.querySelector('.signingin').className = 'signingin';
            btn.querySelector('.signin').className = 'signin hidden';
        } else {
            ev.preventDefault();
        }
    });
    email.focus();
    document.getElementById('emailGroup').classList.add("focused");

    // Focus events for email and password fields
    email.addEventListener('focusin', function(e){
        document.getElementById('emailGroup').classList.add("focused");
    });
    email.addEventListener('focusout', function(e){
       document.getElementById('emailGroup').classList.remove("focused");
    });

    password.addEventListener('focusin', function(e){
        document.getElementById('passwordGroup').classList.add("focused");
    });
    password.addEventListener('focusout', function(e){
       document.getElementById('passwordGroup').classList.remove("focused");
    });

</script>
</body>
</html>

resources/views/master.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <title>@yield('page_title')</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}"/>

    <!-- Favicon -->
    <link rel="shortcut icon" href="{{ asset('assets/images/logo-icon.png') }}" type="image/x-icon">

    <!-- App CSS -->
    <link rel="stylesheet" href="{{ asset('assets/css/app.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/bootstrap-table-expandable.css') }}">
    @yield('css')

    <!-- Few Dynamic Styles -->
    <style type="text/css">
        .admin .side-menu .navbar-header {
            background:#22A7F0;
            border-color:#22A7F0;
        }
        .widget .btn-primary{
            border-color:#22A7F0;
        }
        .widget .btn-primary:focus, .widget .btn-primary:hover, .widget .btn-primary:active, .widget .btn-primary.active, .widget .btn-primary:active:focus{
            background:#22A7F0;
        }
        .admin .breadcrumb a{
            color:#22A7F0;
        }
    </style>

    @yield('head')
</head>

<body class="admin">

@yield('popup')

<div id="admin-loader">
        <img src="{{ asset('assets/images/admin_loader.gif') }}" alt="Admin Loader">
</div>

<?php

$user_avatar = Auth::user()->avatar;
if ((substr(Auth::user()->avatar, 0, 7) == 'http://') || (substr(Auth::user()->avatar, 0, 8) == 'https://')) {
    $user_avatar = Auth::user()->avatar;
}

?>

<div class="app-container">
    <div class="fadetoblack visible-xs"></div>
    <div class="row content-container">
        @include('dashboard.navbar')
        @include('dashboard.sidebar')
        <script>
            (function(){
                    window.localStorage['admin.stickySidebar'] = 'false';
                    var appContainer = document.querySelector('.app-container'),
                        sidebar = appContainer.querySelector('.side-menu'),
                        navbar = appContainer.querySelector('nav.navbar.navbar-top'),
                        loader = document.getElementById('admin-loader'),
                        hamburgerMenu = document.querySelector('.hamburger'),
                        sidebarTransition = sidebar.style.transition,
                        navbarTransition = navbar.style.transition,
                        containerTransition = appContainer.style.transition;

                    sidebar.style.WebkitTransition = sidebar.style.MozTransition = sidebar.style.transition =
                    appContainer.style.WebkitTransition = appContainer.style.MozTransition = appContainer.style.transition =
                    navbar.style.WebkitTransition = navbar.style.MozTransition = navbar.style.transition = 'none';

                    if (window.localStorage && window.localStorage['admin.stickySidebar'] == 'true') {
                        appContainer.className += ' expanded no-animation';
                        loader.style.left = (sidebar.clientWidth/2)+'px';
                        hamburgerMenu.className += ' is-active no-animation';
                    }

                   navbar.style.WebkitTransition = navbar.style.MozTransition = navbar.style.transition = navbarTransition;
                   sidebar.style.WebkitTransition = sidebar.style.MozTransition = sidebar.style.transition = sidebarTransition;
                   appContainer.style.WebkitTransition = appContainer.style.MozTransition = appContainer.style.transition = containerTransition;
            })();
        </script>
        <!-- Main Content -->
        <div class="container-fluid">
            <div class="side-body padding-top">
                @yield('page_header')
                <div id="admin-notifications"></div>
                @yield('content')
            </div>
        </div>
    </div>
</div>
@include('partials.app-footer')

<!-- Javascript Libs -->

<script type="text/javascript" src="{{ asset('assets/js/app.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/jquery.maskMoney.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/tableHeadFixer.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/scrollbar/smooth-scrollbar.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/bootstrap-table-expandable.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/loadingoverlay.min.js') }}"></script>
<script>

</script>
@yield('javascript')
</body>
</html>

resources/views/profile.blade.php
@extends('admin::master')

@section('css')
    <link rel="stylesheet" type="text/css" href="{{ admin_asset('css/ga-embed.css') }}">
    <style>
        .user-email {
            font-size: .85rem;
            margin-bottom: 1.5em;
        }
    </style>
@stop

@section('content')
    <div style="background-size:cover; background-image: url({{ Admin::image( Admin::setting('admin.bg_image'), config('admin.assets_path') . '/images/bg.jpg') }}); background-position: center center;position:absolute; top:0; left:0; width:100%; height:300px;"></div>
    <div style="height:160px; display:block; width:100%"></div>
    <div style="position:relative; z-index:9; text-align:center;">
        <img src="@if( !filter_var(Auth::user()->avatar, FILTER_VALIDATE_URL)){{ Admin::image( Auth::user()->avatar ) }}@else{{ Auth::user()->avatar }}@endif"
             class="avatar"
             style="border-radius:50%; width:150px; height:150px; border:5px solid #fff;"
             alt="{{ Auth::user()->name }} avatar">
        <h4>{{ ucwords(Auth::user()->name) }}</h4>
        <div class="user-email text-muted">{{ ucwords(Auth::user()->email) }}</div>
        <p>{{ Auth::user()->bio }}</p>
        <a href="{{ route('admin.users.edit', Auth::user()->id) }}" class="btn btn-primary">{{ __('admin.profile.edit') }}</a>
    </div>
@stop